Page Summary
-
Display & Video 360 API v2 has sunset.
-
This page details how to assign a targeting option to an advertiser using a POST request.
-
The HTTP request uses gRPC Transcoding syntax and includes
advertiserIdandtargetingTypeas path parameters. -
The request and response bodies contain an instance of
AssignedTargetingOption. -
Authorization requires the
https://www.googleapis.com/auth/display-videoOAuth scope.
Assigns a targeting option to an advertiser. Returns the assigned targeting option if successful.
HTTP request
POST https://displayvideo.googleapis.com/v2/advertisers/{advertiserId}/targetingTypes/{targetingType}/assignedTargetingOptions
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
Required. The ID of the advertiser. |
targetingType |
Required. Identifies the type of this assigned targeting option. Supported targeting types: |
Request body
The request body contains an instance of AssignedTargetingOption.
Response body
If successful, the response body contains a newly created instance of AssignedTargetingOption.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.